import 'package:flutter_test/flutter_test.dart';

import 'package:flutterpackagepuredart/flutterpackagepuredart.dart';

void main() {
  test('adds one to input values', () {
    final calculator = Calculator();
    expect(calculator.addOne(2), 3);
    expect(calculator.addOne(-7), -6);
    expect(calculator.addOne(0), 1);
    expect(() => calculator.addOne(null), throwsNoSuchMethodError);
  });

  test('adds two to input values', () {
    final calculator = CalculatorAddTwo();
    expect(calculator.addTwo(2), 4);
    expect(calculator.addTwo(-7), -5);
    expect(calculator.addTwo(0), 2);
    expect(() => calculator.addTwo(null), throwsNoSuchMethodError);
  });
}
